import type { IMenuItem } from '@/types'
import { defineStore } from 'pinia'
import { House, User, Monitor, School } from '@element-plus/icons-vue'

interface State {
  menus: IMenuItem[]
}

// 学生菜单
const menus: IMenuItem[] = [
  {
    tag: 'index',
    name: '主页',
    path: '/',
    icon: markRaw(House)
  },
  {
    tag: 'customer',
    name: '学员信息',
    path: '/user',
    icon: markRaw(User),
    children: [
      {
        tag: 'customer-all',
        name: '全部学员信息',
        path: '/user/all'
      },
      {
        tag: 'customer-zws',
        name: 'ZWS学员信息',
        path: '/user/zws'
      },
      {
        tag: 'customer-wechat',
        name: '企微客户',
        path: '/user/weixin'
      },
      {
        tag: 'customer-xiaoe',
        name: '小鹅通客户',
        path: '/user/xiaoetong'
      },
      {
        tag: 'customer-dustess',
        name: '尘峰客户',
        path: '/user/chenfeng'
      }
    ]
  },
  {
    tag: 'channel',
    name: '渠道信息',
    path: '/channel',
    icon: markRaw(Monitor),
    children: [
      {
        name: 'BP渠道信息',
        path: '/channel/bp'
      }
    ]
  },
  {
    tag: 'school',
    name: '学校信息',
    path: '/school',
    icon: markRaw(School),
    children: [
      {
        tag: 'school-school',
        name: '学校信息',
        path: '/school/school'
      },
      {
        tag: 'school-project',
        name: '项目信息',
        path: '/school/project'
      },
      {
        tag: 'school-user',
        name: '联系人信息',
        path: '/school/contact'
      }
    ]
  }
]

export const useMenuStore = defineStore({
  id: 'menu',
  state: (): State => ({
    menus
  })
})
